package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 下载文件表 t_hospital
 *
 * @author ruoyi
 * @date 2022-08-04
 */
@ApiModel(value = "TDownloadZip", description = "PC端下载文件表")
public class TDownloadZip extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @ApiModelProperty("id")
    private Long id;

    /** 名称 */
    @ApiModelProperty("名称")
    private String name;

    /** 路径 */
    @ApiModelProperty("路径")
    private String path;

    /** 文件下载状态，0 未完成, 1 已完成 */
    @ApiModelProperty("文件下载状态，0 未完成, 1 已完成")
    private int status;

    /** 用户ID */
    @ApiModelProperty("用户ID")
    private Long userId;

    /** 创建时间 */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    public void setId(Long id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getPath() {
        return path;
    }

    public int getStatus() {
        return status;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("path", getPath())
                .append("status", getStatus())
                .append("userId", getUserId())
                .append("createTime", getCreateTime())
                .toString();
    }
}
