package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.TDownloadZip;
import com.ruoyi.system.mapper.TDownloadZipMapper;
import com.ruoyi.system.service.ITDownloadZipService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
@Service
public class TDownloadZipServiceImpl implements ITDownloadZipService
{
    @Autowired
    private TDownloadZipMapper tDownloadZipMapper;

    @Override
    public List<TDownloadZip> queryByPage(TDownloadZip tDownloadZip) {
        return tDownloadZipMapper.queryByPage(tDownloadZip);
    }

    /**
     * 新增下载信息
     *
     * @param tDownloadZip
     * @return
     */
    @Override
    public int insertTDownloadZip(TDownloadZip tDownloadZip) {
        return tDownloadZipMapper.insertTDownloadZip(tDownloadZip);
    }

    /**
     * 修改下载信息
     *
     * @param tDownloadZip
     * @return
     */
    @Override
    public int updateTDownloadZip(TDownloadZip tDownloadZip) {
        return tDownloadZipMapper.updateTDownloadZip(tDownloadZip);
    }
}
